"Unsupported ActionScript type" in firefox

classic Classic list List threaded Threaded
4 messages Options
Reply | Threaded
Open this post in threaded view
|

"Unsupported ActionScript type" in firefox

Iap-3
Hi, 
I have weird problem on the "Unsupported ActionScript type".

I have an application on Goolge App Engine.
And a swf-client pools data from the application on GAE.
I tested the application on IE8, Firefox3.5.5 and Chrome4.0 on my WindowsXP NB.
They all works fine. (Flash Player 10)
When the swf-client runs on the (Firefox 3.0.18/CentOS 5.3/gnome(UTF-8)/Flash Player 10)
the exception " Unsupported ActionScript type" generated on the server side (GAE).
Why that happened, does not the Flash Player suppose to be cross-browser and cross-platform?

The version of pyamf is 0.5.1
The traceback:

Traceback (most recent call last):
 File "/base/data/home/apps/password-recovery/2.340530748974149637/prs/prs.py", line 29, in get
   self.do_get()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/prs/prs.py", line 59, in do_get
   params = amf3.decode(blowfish2.decrypt(key,data)).next()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/pyamf/amf3.py", line 1706, in decode
   yield decoder.readElement()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/pyamf/__init__.py", line 898, in readElement
   raise DecodeError("Unsupported ActionScript type %r" % (t,))
DecodeError: Unsupported ActionScript type '\xe1'

The '\xe1' could be any char, not only "\xe1". This is only one of the samples.

Appreciation for any suggestion.

Iap

_______________________________________________
PyAMF users mailing list - [hidden email]
http://lists.pyamf.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: "Unsupported ActionScript type" in firefox

Thijs Triemstra
Hi lap,

so youre saying it works fine in firefox on any platform except centos (5.3)? The firefox version you use on the win xp machine is different compared to the centus version (3.5.5 vs 3.0.18), can you check if 3.0.18 runs ok on the windows machine, and 3.5.5 runs ok on the centos machine?

Also, what version nr of the Flash Player 10 are you running on win xp and what version on centos? Yes, the flash player should be cross-platform but since the LInux version is relatively new I expect there could be a bug there but without any exact version nrs it's hard to research this.

Cheers,

Thijs

On 14 Mar 2010, at 14:47, Iap wrote:

Hi, 
I have weird problem on the "Unsupported ActionScript type".

I have an application on Goolge App Engine.
And a swf-client pools data from the application on GAE.
I tested the application on IE8, Firefox3.5.5 and Chrome4.0 on my WindowsXP NB.
They all works fine. (Flash Player 10)
When the swf-client runs on the (Firefox 3.0.18/CentOS 5.3/gnome(UTF-8)/Flash Player 10)
the exception " Unsupported ActionScript type" generated on the server side (GAE).
Why that happened, does not the Flash Player suppose to be cross-browser and cross-platform?

The version of pyamf is 0.5.1
The traceback:

Traceback (most recent call last):
 File "/base/data/home/apps/password-recovery/2.340530748974149637/prs/prs.py", line 29, in get
   self.do_get()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/prs/prs.py", line 59, in do_get
   params = amf3.decode(blowfish2.decrypt(key,data)).next()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/pyamf/amf3.py", line 1706, in decode
   yield decoder.readElement()
 File "/base/data/home/apps/password-recovery/2.340530748974149637/pyamf/__init__.py", line 898, in readElement
   raise DecodeError("Unsupported ActionScript type %r" % (t,))
DecodeError: Unsupported ActionScript type '\xe1'

The '\xe1' could be any char, not only "\xe1". This is only one of the samples.

Appreciation for any suggestion.

Iap
_______________________________________________
PyAMF users mailing list - [hidden email]
http://lists.pyamf.org/mailman/listinfo/users


_______________________________________________
PyAMF users mailing list - [hidden email]
http://lists.pyamf.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: "Unsupported ActionScript type" in firefox

Iap-3


2010/3/15 Thijs Triemstra | Collab <[hidden email]>
Hi lap,

so youre saying it works fine in firefox on any platform except centos (5.3)? The firefox version you use on the win xp machine is different compared to the centus version (3.5.5 vs 3.0.18), can you check if 3.0.18 runs ok on the windows machine, and 3.5.5 runs ok on the centos machine?

Yesterday:
I have only two platform. One is the windowsXP, the other is CentOS5.3.
On the CentOS, before the Firefox 3.0.18 is Firefox 3.0.5. It had this problem firstly,then,
I upgraded it to Firefox 3.0.18. All of the version of Flash Players are 10.0.45.2.

Today:
1) I setup another WindowsXP with VirtualBox on top of the CentOS5.3.
In this new WindowsXP, I installed the Firefox 3.0.18 and Flash Player 10.0.45.2.
It works fine.
2) I installed the Firefox 3.6 on CentOS 5.3 and make sure the Flash Player is 10.0.45.2.
It failed again with same problem.

I am doubting the Firefox in CentOS has some problem while working with Flash Player.
Even the rendered SWF is somewhat different from all others. (It overlapped 2 TextFields)

Iap

_______________________________________________
PyAMF users mailing list - [hidden email]
http://lists.pyamf.org/mailman/listinfo/users
Reply | Threaded
Open this post in threaded view
|

Re: "Unsupported ActionScript type" in firefox

Thijs Triemstra

On 15 Mar 2010, at 04:30, Iap wrote:

> I am doubting the Firefox in CentOS has some problem while working with Flash Player.
> Even the rendered SWF is somewhat different from all others. (It overlapped 2 TextFields)

You doubt? Do you mean the opposite, because it seems that the player is buggy (2 overlapping textfields?)..
_______________________________________________
PyAMF users mailing list - [hidden email]
http://lists.pyamf.org/mailman/listinfo/users